Package net.snowflake.client.core.crl

## Class CRLCacheManager

- java.lang.Object
- - net.snowflake.client.core.crl.CRLCacheManager

    @SnowflakeJdbcInternalApi
    public class CRLCacheManager
    extends Object

Cache manager that coordinates between in-memory and file-based CRL caches. Provides automatic cleanup of expired entries and proper lifecycle management.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CRLCacheManager` `build​(boolean inMemoryCacheEnabled, boolean onDiskCacheEnabled, Path onDiskCacheDir, Duration onDiskCacheRemovalDelay, Duration cacheValidityTime)`
`Duration` `getCacheValidityTime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public static CRLCacheManager build​(boolean inMemoryCacheEnabled,
                                        boolean onDiskCacheEnabled,
                                        Path onDiskCacheDir,
                                        Duration onDiskCacheRemovalDelay,
                                        Duration cacheValidityTime)
                                 throws SnowflakeSQLLoggedException

Throws:
  `SnowflakeSQLLoggedException`

#### getCacheValidityTime

    public Duration getCacheValidityTime()